Add test scenario for crashing all nodes in sequence
Change-Id: Idd3c87ff8155a3c2b612b0447428e0af7d78a756
diff --git a/tools/test/bin/onos-check-all-logs b/tools/test/bin/onos-check-all-logs
new file mode 100755
index 0000000..7648710
--- /dev/null
+++ b/tools/test/bin/onos-check-all-logs
@@ -0,0 +1,10 @@
+#!/bin/bash
+
+function onos_nodes() {
+ echo $(env | sort | egrep "^OC[0-9]+" | cut -d= -f2)
+}
+
+nodes=$(onos_nodes)
+for node in ${nodes}; do
+ onos-check-logs $@ $node || exit 1
+done
\ No newline at end of file
diff --git a/tools/test/bin/onos-check-node-status b/tools/test/bin/onos-check-node-status
index 0a76f08..0cd4688 100755
--- a/tools/test/bin/onos-check-node-status
+++ b/tools/test/bin/onos-check-node-status
@@ -6,15 +6,23 @@
aux=/tmp/stc/stc-$$.log
trap "rm -f $aux 2>/dev/null" EXIT
-for attempt in {1..10}; do
- onos ${1:-$OCI} "onos:nodes" > $aux
- cat $aux
+function onos_nodes() {
+ echo $(env | sort | egrep "^OC[0-9]+" | cut -d= -f2)
+}
- # Normalize the node status
- state=$(grep ${2:-$OC2} $aux | cut -d, -f3 | cut -d= -f2)
+nodes=$(onos_nodes)
- [ "$state" = "${3:-READY}" ] && exit 0
- sleep 1
+for attempt in {1..5}; do
+ for node in $nodes; do
+ onos $node "onos:nodes" > $aux
+ cat $aux
+
+ # Normalize the node status
+ state=$(grep ${1} $aux | cut -d, -f3 | cut -d= -f2)
+
+ [ "$state" = "${2:-READY}" ] && exit 0
+ sleep 1
+ done
done
exit 1
\ No newline at end of file